﻿@model NewLoanApplicationViewModel

@{
    ViewData["Title"] = "_NewLoanApplicationPartial";
}

<div class="content-wrapper">
    <textarea readonly style="background-color:#fcf8e3;">
        @if (Model.Email.EmailBodyContent != null)
        {
            @Html.Raw(@Model.Email.EmailBodyContent)
        }
    </textarea>

    @{ var loanApplication = Model.LoanApplication; }

    <form id="add-loanapllication-form" asp-controller="NewApps" asp-action="Details" method="post">
        <div class="col-md-6">
            <div class="form-group">
                <p></p><br />
                <label asp-for="@loanApplication.LoanApplicant.Name">Applicant Name</label>
                <input placeholder="Name" asp-for="@loanApplication.LoanApplicant.Name" name="LoanApplicant.Name" class="form-control" />
                <span asp-validation-for="@loanApplication.LoanApplicant.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="@loanApplication.LoanApplicant.ClientNumber">Client number</label>
                <input placeholder="Personal Number" asp-for="@loanApplication.LoanApplicant.ClientNumber" name="LoanApplicant.PersonalNumber" class="form-control" />
                <span asp-validation-for="@loanApplication.LoanApplicant.ClientNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="@loanApplication.LoanApplicant.PhoneNumber">Phone number</label>
                <input placeholder="+359 xxx xxx xxx" asp-for="@loanApplication.LoanApplicant.PhoneNumber" name="LoanApplicant.PhoneNumber" class="form-control" />
                <span asp-validation-for="@loanApplication.LoanApplicant.PhoneNumber" class="text-danger"></span>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <div class="form-group">
                        <button id="Open" type="submit" class="btn btn-success alert-success" data-dismiss="modal">Open</button>
                    </div>
                </div>
                <div class="col-md-3">
                    @if (User.IsInRole("Manager"))
                    {
                        <button id="NotReviewed" type="submit" class="btn btn-warning alert-warning"  data-dismiss="modal">Not Reviewed</button>
                    }
                </div>
            </div>
        </div>
    </form>
</div>

<style>
    .content-wrapper textarea {
        width: 100%;
        height: calc(100vh - 320px);
        resize: none;
    }
</style>

<script>
    $(function () {
        $('#Open').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToOpenAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#NotReviewed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToNotReviewedAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>
